
Name:		exquisite
Version:	1.0.0
Release:	1%{?dist}
Summary:	Exquisite is a psplash replacement that uses EFL for display

Group:		User Interface/X
License:	BSD
URL:		http://www.enlightenment.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	eet-devel, evas-devel, edje-devel, ecore-devel
BuildRequires:	openssl-devel, curl-devel, embryo-devel, SDL-devel
BuildRequires:	libXcursor-devel, libXdamage-devel, libXcomposite-devel
BuildRequires:	libXinerama-devel, libXp-devel, libXScrnSaver-devel
BuildRequires:	freetype-devel, libjpeg-devel, fontconfig-devel
BuildRequires:	libeina-devel, libXtst-devel, gnutls-devel
#Requires:

%description
This is a psplash replacement that is very simple and uses EFL (Evas, 
Edje, Ecore etc.) for display - thus having immensely powerful theme 
abilities without needing any platform-specific compiled themes or 
modules. It is compatible with psplash with the same message commands 
(and more). The difference is that it requires libraries like evas, 
edje, ecore, eet and embryo. These also have loadable modules of their 
own - thus this isn't perfect for systems that can't have these 
libraries available and working at boot, but if you can, it's a lot more 
capable than other splash engines, while still running in the 
framebuffer.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%dir %{_datadir}/exquisite
%{_bindir}/exquisite*
%{_datadir}/exquisite/*
%{_libdir}/libexquisite*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Aug 02 2012 Vasile Chelban <vchelban@fedoramd.org> 1.6.99-1
- Split off devel sub package

* Sat Mar 14 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-20090314
- SVN Update

* Sun Mar 1 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-20090301
- Fixed BuildRequires based upon mock for F10
- CVS Update

* Thu Jul 17 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-20080717
- CVS Update

* Wed May 28 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-20080528
- CVS Update

* Sat Apr 5 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-20080405
- CVS Update

* Sun Mar 30 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-20080330
- CVS Update

* Mon Feb 25 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-2008.02.25
- CVS Update

* Mon Feb 11 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-2008.02.11
- CVS Update

* Mon Feb 4 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-2008.02.04
- CVS Update

* Sun Jan 20 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-2008.01.20
- Fixed spec file (/usr/share/electron no longer being used)
- CVS Update

* Tue Jan 8 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-2008.01.08
- Fixed spec file (BuildRequires) based upon mock
- CVS Update

* Fri Dec 28 2007 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.2-2007.12.28
- CVS Update
